#ifndef IPV6_FILTER_H
#define IPV6_FILTER_H

#include "Filter.h"

class Ipv6Filter : public Filter
{
public:
	Ipv6Filter();
	Ipv6Filter(const Ipv6Filter & src);
	virtual ~Ipv6Filter();
	virtual Filter * Clone() const;
	virtual bool Match(const ProtocolInfoElement * pProtocolInfo);
	bool SetAddress(const std::string sAddr);
	virtual std::string Ipv6Filter::GetSourcePcapFilter() const;
	virtual std::string Ipv6Filter::GetDestinationPcapFilter() const;
private:
	int SplitString(const std::string& input, const std::string& delimiter, std::vector<std::string>& results, bool includeEmpties);

	std::vector<unsigned char> m_nAddr;
	std::string m_sAddr;
};

#endif
